within ;
model CounterSpin
  Modelica.Mechanics.Rotational.Components.Inertia inertia(J=0.01, w(fixed=true,
        start=-2)) 
    annotation (Placement(transformation(extent={{-60,20},{-40,40}})));
  Modelica.Mechanics.Rotational.Components.IdealRollingWheel idealRollingWheel(
      radius=0.1) 
    annotation (Placement(transformation(extent={{-20,20},{0,40}})));
  Modelica.Mechanics.Translational.Components.Mass mass(
    m=0.1,
    s(fixed=true),
    v(fixed=true, start=1)) annotation (Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=0,
        origin={70,30})));
  DryFriction dryFriction(
    N=0.98,
    mu_A=0.4,
    vAdhesion=0.001,
    vSlide=0.01,
    mu_S=0.15) annotation (Placement(transformation(extent={{20,20},{40,40}})));
equation
  connect(inertia.flange_b, idealRollingWheel.flangeR) annotation (Line(
      points={{-40,30},{-20,30}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(dryFriction.flange_a, idealRollingWheel.flangeT) annotation (Line(
      points={{20,30},{0,30}},
      color={0,127,0},
      pattern=LinePattern.None,
      smooth=Smooth.None));
  connect(dryFriction.flange_b, mass.flange_a) annotation (Line(
      points={{40,30},{60,30}},
      color={0,127,0},
      pattern=LinePattern.None,
      smooth=Smooth.None));
  annotation (uses(Modelica(version="3.1")), Diagram(graphics));
end CounterSpin;
